@model FAA_UI.ViewModels.CalculatedViewModel
<h4 style="font-family:'Garamond',sans-serif;margin:9px 9px 9px 75px;">Calculated Parameters</h4>
<div class="row" style="margin:0px;padding:0px;">
    @using(Html.BeginForm("Index","Calculated",FormMethod.Post,new{@class="form-horizontal",style="width:100%;"}))
    {
        <div class="column" style="width:28%">
            <div class="table-responsive">
                <table id="tblTestProfile" class="styled-table">
                    <thead>
                        <tr>
                            <th style="display:none;">
                                @Html.DisplayNameFor(model => model.tblCalcuTest.CalTestId)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.tblCalcuTest.CalTestCode)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.tblCalcuTest.CalTestName)
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model.tblCalcuTestList) {
                            if(item!=null)
                            {
                                <tr>
                                    <td style="display:none;">
                                        @Html.DisplayFor(modelItem => item.CalTestId)
                                    </td>
                                    <td>
                                        @Html.ActionLink(item.CalTestCode,"Index","Calculated",new { CalTestID = item.CalTestId },new{style="font-size:12px;color:blue;"})
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.CalTestName)
                                    </td>
                                </tr>
                            }
                        }
                    </tbody>
                </table>
            </div>
        </div>
        <div class="column" style="width:68%;">
            <div class="accordion" id="accordionCalculated">
                <div class="card">
                    <div class="card-header" id="headingDetail">
                    <h2 class="mb-0">
                        <button class="collapsible" type="button" data-toggle="collapse" data-target="#collapseDetail" aria-expanded="true" aria-controls="collapseDetail">
                        Calculated Parameter Details
                        </button>
                    </h2>
                    </div>
                    <div id="collapseDetail" class="collapse show" aria-labelledby="headingDetail" data-parent="#accordionCalculated">
                        <div class="card-body" style="height:65vh">
                            <div class="form-group row">
                                <div class="form-group" style="display:none;">
                                    @Html.TextBoxFor(model =>model.tblCalcuTest.CalTestId)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model =>model.tblCalcuTest.CalTestCode)
                                    @Html.TextBoxFor(model =>model.tblCalcuTest.CalTestCode)
                                    @Html.ValidationMessageFor(model =>model.tblCalcuTest.CalTestCode)
                                </div>
                                <div class="form-group col-md-3">
                                    @Html.LabelFor(model =>model.tblCalcuTest.CalTestName)
                                    @Html.TextBoxFor(model =>model.tblCalcuTest.CalTestName)
                                    @Html.ValidationMessageFor(model =>model.tblCalcuTest.CalTestName)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model =>model.tblCalcuTest.Unit)
                                    @Html.DropDownListFor(model => model.tblCalcuTest.Unit, new SelectList(ViewBag.Unit,"Value","Text"))
                                    @Html.ValidationMessageFor(model =>model.tblCalcuTest.Unit)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model =>model.tblCalcuTest.Decimals)
                                    @Html.DropDownListFor(model => model.tblCalcuTest.Decimals, new SelectList(ViewBag.Decimals,"Value","Text"))
                                    @Html.ValidationMessageFor(model =>model.tblCalcuTest.Decimals)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model =>model.tblCalcuTest.RefLow)
                                    @Html.TextBoxFor(model =>model.tblCalcuTest.RefLow)
                                    @Html.ValidationMessageFor(model =>model.tblCalcuTest.RefLow)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model =>model.tblCalcuTest.RefHigh)
                                    @Html.TextBoxFor(model =>model.tblCalcuTest.RefHigh)
                                    @Html.ValidationMessageFor(model =>model.tblCalcuTest.RefHigh)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model =>model.tblCalcuTest.SendToHost)
@*                                     @Html.CheckBoxFor(model =>model.tblCalcuTest.SendToHost)  
 *@                                    @Html.ValidationMessageFor(model =>model.tblCalcuTest.SendToHost)
                                </div>
                                <div class="form-group col-md-2">
@*                                     @Html.LabelFor(model =>model.tblCalcuTest.IsActive)
 *@@*                                  @Html.CheckBoxFor(model =>model.tblCalcuTest.IsActive)
                                     @Html.ValidationMessageFor(model => model.tblCalcuTest.IsActive)
 *@                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-10">
                                    @Html.LabelFor(model =>model.tblCalcuTest.CalExpression)
                                    @Html.TextBoxFor(model =>model.tblCalcuTest.CalExpression,new {@id="expression"})
                                    @Html.HiddenFor(model =>model.tblCalcuTest.CalExpression)
                                    @Html.ValidationMessageFor(model =>model.tblCalcuTest.CalExpression)
                                </div>
                            </div>
                            <div class="form-group row">
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">1</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">2</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">3</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">4</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">5</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">6</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">7</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">8</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">9</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">0</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)">.</button>
                            </div>
                            <div class="form-group row">
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)" id="btnPlus">+</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)" id="btnMinus">-</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)" id="btnDivide">/</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)" id="btnMultiply">*</button>
                                <button type="button" class="btn btn-warning"  onclick="btnPressed(this)" id="btnBracOpen">(</button>
                                <button type="button" class="btn btn-warning"   onclick="btnPressed(this)" id="btnBracClose">)</button>
                                <button type="button" class="btn btn-warning"   onclick="btnPressed(this)" id="btnPower">^</button>
                                <button type="button" class="btn btn-primary" id="btnBackSpace">Backspace</button>
                                <button type="button" class="btn btn-primary" id="btnClear">Clear</button>                    
                            </div>
                           
                            <div>
                                @await Html.PartialAsync("/Views/Shared/TestListIndex.cshtml",Model.tblTestListViewModel)
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group row" style="margin-right: 25px;margin-top: 10px;float:right;">
                <div class="form-group">
                    <button type="submit" class="btn btn-info" value="Save" id="btnSave">Save</button>
                    <button type="button" class="btn btn-info" value="Clear" id="btnCreate">Create</button>
                </div>  
            </div>
        </div>
    }
</div>
@section Scripts
{
     <script type="text/javascript">
        $(document).ready(function () {
            $("#expression").prop("disabled", true); 
            $("#btnClear").click(function()
            {
                $('#expression').val("");
                document.getElementById('tblCalcuTest_CalExpression').value =$('#expression').val();
            });
            $("#btnBackSpace").click(function()
            {
                var value = document.getElementById("expression").value;
                document.getElementById("expression").value = value.substr(0, value.length - 1);
                document.getElementById('tblCalcuTest_CalExpression').value =$('#expression').val();
            });
        });

        function btnPressed(element)
        {
            var expressioninput=$('#expression');
            expressioninput.val(expressioninput.val()+" "+(element.innerHTML)) ;
            document.getElementById('tblCalcuTest_CalExpression').value =expressioninput.val();
        }

        $('.TestButton').click(function()
        {
            var expressioninput=$('#expression');
            expressioninput.val(expressioninput.val()+" "+this.innerHTML);
            document.getElementById('tblCalcuTest_CalExpression').value =expressioninput.val();
            $(this).removeClass('Testchecked');
        });
    </script>
}